package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.model.ArticlesPreviewModel
import io.reactivex.Single
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class ArticlesInteractor @Inject constructor(
) {

    fun fetchArticles(feedId: Int): Single<ArticlesPreviewModel> = Single.just(
        when (feedId) {
            1 -> FeedsInteractor.testNewsArticles
            2 -> FeedsInteractor.testBlogsArticles
            3 -> FeedsInteractor.testDevArticles
            else -> error("unknown feedId")
        }
    )
}






























